Skip to main content

Technicals by Indicator

Retrieve technical analysis indicators for market data filtered by specific indicator type and interval.

GET/3.0/market/technicals/indicator

Description​

This endpoint provides technical analysis indicator data across all stocks for a specified indicator type and time interval. It returns calculated technical values such as moving averages, RSI, MACD, Bollinger Bands, and other technical indicators. This is useful for market-wide technical analysis and screening.

Request​

Authentication​

  • Type: Bearer Token
  • Required: Yes

Parameters​

NameTypeRequiredDescriptionExample
indicatorstringYesTechnical indicator typesma
intervalstringYesTime interval for the indicator5m, 1h, 1d
paramsstringNoComma-separated indicator parameters50

Supported Intervals​

  • 1m - 1 minute
  • 5m - 5 minutes
  • 15m - 15 minutes
  • 30m - 30 minutes
  • 1h - 1 hour
  • 1d - 1 day
  • 1w - 1 week
  • 1M - 1 month

Available Indicators​

IndicatorFull NameParameters*
smaSimple Moving AveragePeriod
bbBollinger BandsPeriod, Standard Deviation Multiplier
voltVolatilityPeriod
rsiRelative Strength IndexPeriod
stochStochastic%K Period, %K Smoothing, %D Period
macdMACDFast EMA Period, Slow EMA Period, Signal Period
rocRate of ChangePeriod
cciCommodity Channel IndexPeriod
ppPivot PointsNo configurable parameters (uses previous period OHLC)
ppfPivot Points FibonacciNo configurable parameters (uses Fibonacci pivot calculations on previous period OHLC)

*multiple parameters are comma separated

Response​

Success Response (200)​

{
"status": "ok",
"message": "",
"data": {
"786": {
"name": "sma",
"parameters": [
50
],
"values": [
12.711
]
},
"AABS": {
"name": "sma",
"parameters": [
50
],
"values": [
1043.3294
]
},
"AASM": {
"name": "sma",
"parameters": [
50
],
"values": [
3.4972
]
}
}
}

Response Fields​

The response data is an object where each key is a stock symbol, and each value contains:

FieldTypeDescription
namestringTechnical indicator type (e.g. sma)
parametersarrayIndicator parameters/period (e.g., [50] for 50-period SMA)
valuesarrayCalculated indicator values

Error Responses​

For detailed Common Error responses, see the Error Handling.

Missing Parameters (200)​

{
"status": "error",
"message": "no `indicator` provided"
}
{
"status": "error",
"message": "no `interval` provided"
}

Invalid Indicator (200)​

{
"status": "error",
"message": "invalid_indicator"
}

Invalid Interval (200)​

{
"status": "error",
"message": "invalid_interval"
}

Examples​

Get STOCH Indicator​

curl --location 'https://csapis.com/3.0/market/technicals/indicator?interval=1m&indicator=stoch&params=9,6,3' \
--header 'Authorization: Bearer YOUR_API_TOKEN'

GET Bollinger Bands Indicator​

curl --location 'https://csapis.com/3.0/market/technicals/indicator?interval=1m&indicator=bb&params=20,2' \
--header 'Authorization: Bearer YOUR_API_TOKEN'

Use Cases​

  • Technical Screening: Screen stocks by technical indicator values
  • Trend Identification: Identify trends using moving averages across the market
  • Trading Signals: Get buy/sell signals based on technical indicators
  • Market-Wide Analysis: Analyze technical conditions across all stocks
  • Indicator Comparison: Compare different indicators' signals